%global appid org.gajim.Gajim

Name:     gajim
Version:  1.7.3
Release:    1%{?dist}
Summary:  Jabber client written in PyGTK
License:  GPLv3
URL:      https://gajim.org/
Source0:  https://gajim.org/downloads/1.7/gajim-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:    python3-gobject >= 3.42
Requires:    cairo >= 1.16
Requires:    python3-pillow
Requires:    gtk3 >= 3.24.30
Requires:    glib2 >= 2.60
Requires:    gtksourceview4
Requires:    pango >= 1.50
Requires:    sqlite-libs >= 3.33
Requires:    hicolor-icon-theme
Requires:    python3-dbus
Recommends:  python3-gnupg
Recommends:  gspell
Recommends:  libsecret
Recommends:  gupnp-igd
Recommends:  geoclue2-libs
Recommends:  gsound
Recommends:  farstream02
Recommends:  gstreamer1
Recommends:  gstreamer1-plugins-base
Recommends:  gstreamer1-plugins-good-gtk
Recommends:  python3-axolotl
Recommends:  python3-protobuf
Recommends:  python3-qrcode

%description
Gajim is a Jabber client written in PyGTK. The goal of Gajim's developers is
to provide a full featured and easy to use xmpp client for the GTK+ users.
Gajim does not require GNOME to run, even though it exists with it nicely.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
./pep517build/build_metadata.py --output-dir dist/metadata

%install
%pyproject_install
./pep517build/install_metadata.py dist/metadata --prefix %{buildroot}/%{_prefix}
%pyproject_save_files gajim


desktop-file-validate %{buildroot}/%{_datadir}/applications/%{appid}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{appid}.appdata.xml

%find_lang %{name}

%files -f %{pyproject_files} -f %{name}.lang
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/%{name}-remote.1*
%{_bindir}/%{name}
%{_bindir}/%{name}-remote
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/metainfo/%{appid}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{appid}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{appid}-symbolic.svg

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-1
- initial build
